import request from './request' //引入axios的封装方法

//获取验证码
export const captchaImage = (params) => {
  return request('get', '/captchaImage', params)
};
//登录接口
export const login = (params) => {
  return request('post', '/login', params)
};
//获取路由权限
export const getRouters = (params) => {
  return request('getheaders', '/getNewRouters', params)
};
//获取个人信息
export const profile = (params) => {
  return request('getheaders', '/system/user/profile', params)
};
//查询未读消息
export const listMessge = (params) => {
  return request('getheaders', '/business/messageRemind/listMessge', params)
};
//用户头像上传
export const avatar = (params) => {
  return request('postheaders', '/system/user/profile/avatar', params)
};
//用户头像修改
export const saveAvatar = (params) => {
  return request('putheaders', '/system/user/profile/saveAvatar', params)
};
//用户密码修改
export const savePwd = (params) => {
  return request('putheaders', '/system/user/profile/savePwd', params)
};
//获取用户权限
export const getUserPerms = (params) => {
  return request('getheaders', '/getUserPerms', params)
};
//============================页面管理
//获取组织架构树状数据
export const menuList   = (params) => {
  return request('getheaders', '/system/menu/list', params)
};
//新增菜单
export const menuAdd   = (params) => {
  return request('postheaders', '/system/menu', params)
};
//编辑菜单
export const menuEditor   = (params) => {
  return request('putheaders', '/system/menu', params)
};
//删除菜单
export const menuDel   = (params) => {
  return request('deleteheaders', '/system/menu', params)
};
//============================下拉列表
//大类下拉列表
export const typeBig   = (params) => {
  return request('getheaders', '/business/statisticsAnalysis/typeBig', params)
};
//小类下拉列表
export const typeSmall   = (params) => {
  return request('getheaders', '/business/statisticsAnalysis/typeSmall', params)
};
//获取组织架构树状数据
export const deptTreeselect   = (params) => {
  return request('getheaders', '/system/dept/treeselect', params)
};
//基数单位下拉列表
export const baseUnitDownList   = (params) => {
  return request('getheaders', '/business/baseUnit/downList', params)
};
//根据医疗队显示----基数单位下拉列表
export const downListByMedicalId   = (params) => {
  return request('getheadersadd', '/business/baseUnit/downListByMedicalId', params)
};
//医疗队所-下拉列表
export const listMedicalTreatment = (params) => {
  return request('getheaders', '/business/medicalTreatment/listMedicalTreatment', params)
};
//医疗队-下拉列表
export const medicalCorpsListData = (params) => {
  return request('getheaders', '/business/medicalCorps/listData', params)
};
//任务状态列表
export const statusInfoList = (params) => {
  return request('getheaders', '/business/statusInfo/list', params)
};
//组织单位/接收单位/发出单位/仓库/上级机构下拉列表
export const deptListOrg = (params) => {
  return request('getheaders', '/system/dept/listOrg', params)
};
//单独仓库下拉列表
export const listOrganization = (params) => {
  return request('getheaders', '/system/dept/listOrganization', params)
};
//人员-下拉列表
export const userManagerNameList = (params) => {
  return request('getheaders', '/business/userManager/nameList', params)
};
//角色-下拉列表
export const roleListRole = (params) => {
  return request('getheaders', '/system/role/listRole', params)
};
//获取当前登录人的组织架构单位
export const getOrganization = (params) => {
  return request('getheaders', '/system/dept/getOrganization', params)
};
//============================岗位接口
// 岗位列表
export const postList = (params) => {
  return request('getheaders', '/system/post/list', params)
};
// 新增
export const postListAdd = (params) => {
  return request('postheaders', '/system/post', params)
};
// 修改
export const postListEditor = (params) => {
  return request('putheaders', '/system/post', params)
};
// 删除
export const postListDel = (params) => {
  return request('deleteheaders', '/system/post', params)
};
// 岗位下拉列表
export const postBottomList = (params) => {
  return request('getheaders', '/system/post/optionselect', params)
};
//============================首页
//首页-统计信息
export const frontRepertoryList = (params) => {
  return request('getheaders', '/business/statisticsAnalysis/frontRepertoryList', params)
};
//获取值班信息
export const frontdutyInfo = (params) => {
  return request('getheaders', '/business/statisticsAnalysis/frontdutyInfo', params)
};
//获取任务信息
export const frontTasklist = (params) => {
  return request('getheaders', '/business/statisticsAnalysis/frontTasklist', params)
};
//获取任务详情
export const frontTaskDetailList = (params) => {
  return request('getheaders', '/business/statisticsAnalysis/frontTaskDetailList', params)
};
//============================系统管理
//角色管理-列表
export const roleList = (params) => {
  return request('getheaders', '/system/role/list', params)
};
//角色管理-删除
export const roleDel = (params) => {
  return request('deleteheaders', '/system/role', params)
};
//角色管理-新增
export const roleAdd = (params) => {
  return request('postheaders', '/system/role', params)
};
//角色管理-编辑
export const roleEditor = (params) => {
  return request('putheaders', '/system/role', params)
};
//角色管理-页面权限树
export const treeselect = (params) => {
  return request('getheaders', '/system/menu/treeselect', params)
};
//角色管理-数据权限树
export const deptTreeSelect = (params) => {
  return request('getheaders', '/system/dept/deptTreeSelect', params)
};
//角色管理-修改数据权限
export const dataScope = (params) => {
  return request('putheaders', '/system/role/dataScope', params)
};
//任务状态修改
export const statusInfoAlter = (params) => {
  return request('putheaders', '/business/statusInfo', params)
};
//账号管理-列表
export const userList = (params) => {
  return request('getheaders', '/system/user/list', params)
};
//账号管理-删除
export const userDel = (params) => {
  return request('deleteheaders', '/system/user', params)
};
//账号管理-新增
export const userAdd = (params) => {
  return request('postheaders', '/system/user', params)
};
//账号管理-编辑
export const userEditor = (params) => {
  return request('putheaders', '/system/user', params)
};
//账号管理-修改状态
export const userChangeStatus = (params) => {
  return request('putheaders', '/system/user/changeStatus', params)
};
//敏感词汇管理-列表
export const sensitiveWordsList = (params) => {
  return request('getheaders', '/business/sensitiveWords/list', params)
};
//敏感词汇管理-删除
export const sensitiveWordsDel = (params) => {
  return request('deleteheaders', '/business/sensitiveWords', params)
};
//敏感词汇管理-新增
export const sensitiveWordsAdd = (params) => {
  return request('postheaders', '/business/sensitiveWords', params)
};
//敏感词汇管理-编辑
export const sensitiveWordsEditor = (params) => {
  return request('putheaders', '/business/sensitiveWords', params)
};
//系统日志-列表
export const logininforList = (params) => {
  return request('getheaders', '/monitor/logininfor/list', params)
};
//系统日志-删除
export const logininforDel = (params) => {
  return request('deleteheaders', '/monitor/logininfor', params)
};
//消息提醒-列表
export const messageRemindList = (params) => {
  return request('getheaders', '/business/messageRemind/list', params)
};
//消息提醒-删除
export const messageRemindDel = (params) => {
  return request('deleteheaders', '/business/messageRemind', params)
};
//消息提醒-详情
export const messageRemindInfo = (params) => {
  return request('getheadersadd', '/business/messageRemind', params)
};
//短息提醒-列表
export const smsRemindList = (params) => {
  return request('getheaders', '/business/smsRemind/list', params)
};
//短信提醒-删除
export const smsRemindDel = (params) => {
  return request('deleteheaders', '/business/smsRemind', params)
};
//============================首长决策
// 智能化组织指挥-新增
export const taskInfoAdd = (params) => {
  return request('postheaders', '/business/taskInfo', params)
};
// 智能化组织指挥-编辑
export const taskInfoEditor = (params) => {
  return request('putheaders', '/business/taskInfo', params)
};
//智能化组织指挥-选择预案列表
export const planFormulationList1 = (params) => {
  return request('getheaders', '/business/planFormulation/list', params)
};
//任务处理页面-列表查询(智能化组织指挥)
export const taskInfoList = (params) => {
  return request('getheaders', '/business/taskInfo/list', params)
};
//任务处理-批量删除
export const taskInfoDel = (params) => {
  return request('deleteheaders', '/business/taskInfo', params)
};
//任务处理页面-详情
export const taskInfoInfo = (params) => {
  return request('getheadersadd', '/business/taskInfo', params)
};
//任务处理页面-提交
export const taskInfoDispose = (params) => {
  return request('postheaders', '/business/taskInfo/dispose', params)
};
//预案定制列表
export const planFormulationList = (params) => {
  return request('getheaders', '/business/planFormulation/list', params)
};
//预案定制-批量删除
export const planFormulationDel = (params) => {
  return request('deleteheaders', '/business/planFormulation', params)
};
//人员管理-新增
export const planFormulationAdd = (params) => {
  return request('postheaders', '/business/planFormulation', params)
};
//人员管理-编辑
export const planFormulationEditor = (params) => {
  return request('putheaders', '/business/planFormulation', params)
};
//人员管理-列表
export const userManagerList = (params) => {
  return request('getheaders', '/business/userManager/list', params)
};
//人员管理-批量删除
export const userManagerDel = (params) => {
  return request('deleteheaders', '/business/userManager', params)
};
//人员管理-新增
export const userManagerAdd = (params) => {
  return request('postheaders', '/business/userManager', params)
};
//人员管理-编辑
export const userManagerEditor = (params) => {
  return request('putheaders', '/business/userManager', params)
};
// 人员列表的任务查看
export const taskQuery = (params) => {
  return request('getheaders', '/business/userManager/taskQuery', params)
};
//人员管理-导出
export const exportUser = (params) => {
  return request('getheaders', '/business/userManager/export', params)
};
//人员管理-导入
export const importData = (params) => {
  return request('postheaders', '/business/userManager/importData', params)
};
//下载人员导入的模板
export const importTemplate = (params) => {
  return request('getheaders', '/business/userManager/importTemplate', params)
};
/*
else if(response.config.responseType == "arraybuffer"){
      return response;
    }

*/
// 通用下载请求
export const download = (params) => {
  return request('download', '/business/userManager/common/download', params)
};
//任务训练信息-列表
export const taskTrainingList = (params) => {
  return request('getheaders', '/business/taskTraining/list', params)
};
//任务训练信息-批量删除
export const taskTrainingDel = (params) => {
  return request('deleteheaders', '/business/taskTraining', params)
};
//任务训练信息-新增
export const taskTrainingAdd = (params) => {
  return request('postheaders', '/business/taskTraining', params)
};
//任务训练信息-编辑
export const taskTrainingEditor = (params) => {
  return request('putheaders', '/business/taskTraining', params)
};
//基础任务信息-列表
export const baseInfoList = (params) => {
  return request('getheaders', '/business/baseInfo/list', params)
};
//基础任务信息-批量删除
export const baseInfoDel = (params) => {
  return request('deleteheaders', '/business/baseInfo', params)
};
//基础任务信息-新增
export const baseInfoAdd = (params) => {
  return request('postheaders', '/business/baseInfo', params)
};
//基础任务信息-编辑
export const baseInfoEditor = (params) => {
  return request('putheaders', '/business/baseInfo', params)
};
//统计分析-消耗统计-列表
export const statisticsAnalysisList = (params) => {
  return request('getheaders', '/business/statisticsAnalysis/list', params)
};
//统计分析-库存分析-列表
export const statisticsAnalysisStocklistList = (params) => {
  return request('getheaders', '/business/statisticsAnalysis/stocklist', params)
};
//============================设施设备基本态势
//组织框架信息维护-列表
export const selectDeptList = (params) => {
  return request('getheaders', '/system/dept/selectDeptList', params)
};
//组织框架信息维护-删除
export const deptDel = (params) => {
  return request('deleteheaders', '/system/dept', params)
};
//组织框架信息维护-新增
export const deptAdd = (params) => {
  return request('postheaders', '/system/dept', params)
};
//组织框架信息维护-编辑
export const deptEditor = (params) => {
  return request('putheaders', '/system/dept', params)
};
//医疗队所信息维护-列表
export const medicalTreatmentList = (params) => {
  return request('getheaders', '/business/medicalTreatment/list', params)
};
//医疗队所信息维护-删除
export const medicalTreatmentDel = (params) => {
  return request('deleteheaders', '/business/medicalTreatment', params)
};
//医疗队所信息维护-新增
export const medicalTreatmentAdd = (params) => {
  return request('postheaders', '/business/medicalTreatment', params)
};
//医疗队所信息维护-编辑
export const medicalTreatmentEditor = (params) => {
  return request('putheaders', '/business/medicalTreatment', params)
};
//医疗队所储备标准列表
export const reserveStandardList = (params) => {
  return request('getheaders', '/business/reserveStandard/list', params)
};
//医疗队所储备标准删除
export const reserveStandardDel = (params) => {
  return request('deleteheaders', '/business/reserveStandard', params)
};
//医疗队信息维护列表
export const medicalCorpsList = (params) => {
  return request('getheaders', '/business/medicalCorps/list', params)
};
//医疗队信息维护删除
export const medicalCorpsDel = (params) => {
  return request('deleteheaders', '/business/medicalCorps', params)
};
//医疗队信息维护-新增
export const medicalCorpsAdd = (params) => {
  return request('postheaders', '/business/medicalCorps', params)
};
//医疗队信息维护-编辑
export const medicalCorpsEditor = (params) => {
  return request('putheaders', '/business/medicalCorps', params)
};
//医疗队信息维护-人员列表
export const medicalUserList = (params) => {
  return request('getheaders', '/business/medicalUser/list', params)
};
//医疗队信息维护-人员新增
export const businessMedicalUser = (params) => {
  return request('postheaders', '/business/medicalUser', params)
};
//医疗队信息维护-人员删除
export const medicalUserListDel = (params) => {
  return request('deleteheaders', '/business/medicalUser', params)
};
//医疗队信息维护-车辆列表
export const medicalCarList = (params) => {
  return request('getheaders', '/business/medicalCar/list', params)
};
//医疗队信息维护-车辆删除
export const medicalCarListDel = (params) => {
  return request('deleteheaders', '/business/medicalCar', params)
};
//医疗队信息维护-车辆新增
export const medicalCarAdd = (params) => {
  return request('postheaders', '/business/medicalCar', params)
};
//医疗队信息维护-车辆编辑
export const medicalCarEditor = (params) => {
  return request('putheaders', '/business/medicalCar', params)
};
//基数单位信息维护-列表
export const baseUnitList = (params) => {
  return request('getheaders', '/business/baseUnit/list', params)
};
//基数单位信息维护-详情列表
export const unitDetailList = (params) => {
  return request('getheaders', '/business/unitDetail/list', params)
};
//基数单位信息维护-删除
export const baseUnitDel = (params) => {
  return request('deleteheaders', '/business/baseUnit', params)
};
//基数单位信息维护-新增
export const baseUnitAdd = (params) => {
  return request('postheaders', '/business/baseUnit', params)
};
//基数单位信息维护-修改
export const baseUnitEditor = (params) => {
  return request('putheaders', '/business/baseUnit/edit', params)
};
//战备值班信息-列表
export const operationalDutyList = (params) => {
  return request('getheaders', '/business/operationalDuty/list', params)
};
//战备值班信息-删除
export const operationalDutyDel = (params) => {
  return request('deleteheaders', '/business/operationalDuty', params)
};
//战备值班信息-新增
export const operationalDutyAdd = (params) => {
  return request('postheaders', '/business/operationalDuty', params)
};
//战备值班信息-编辑
export const operationalDutyEditor = (params) => {
  return request('putheaders', '/business/operationalDuty', params)
};
//装备物资实力信息-列表
export const materialStrength = (params) => {
  return request('postheaders', '/business/statisticsAnalysis/materialStrength', params)
};
//装备物资实力信息-基数单位信息接口
export const materialUnitName = (params) => {
  return request('postheaders', '/business/statisticsAnalysis/materialUnitName', params)
};
//装备物资实力信息-按基数单位查询列表
export const materialUnitList = (params) => {
  return request('postheaders', '/business/statisticsAnalysis/materialUnitList', params)
};
//装备物资实力信息-详情
export const materialStrengthInfo = (params) => {
  return request('postheaders', '/business/statisticsAnalysis/materialStrengthInfo', params)
};
// 物资全寿命信息-列表
export const materialInfoAll = (params) => {
  return request('postheaders', '/business/statisticsAnalysis/materialInfoAll', params)
};
// 物资全寿命信息-单个查看
export const materialInfo = (params) => {
  return request('postheaders', '/business/statisticsAnalysis/materialInfo', params)
};
// 物资全寿命信息-统计信息
export const materialAnalysis = (params) => {
  return request('postheaders', '/business/statisticsAnalysis/materialAnalysis', params)
};
//装备物资储存水平信息-列表
export const materialsManagement = (params) => {
  return request('postheaders', '/business/statisticsAnalysis/materialsManagement', params)
};
//装备物资储存水平信息-统计
export const materialsManagementAnalysis = (params) => {
  return request('postheaders', '/business/statisticsAnalysis/materialsManagementAnalysis', params)
};
//============================物资调拨管理
//物品列表
export const httpList = (params) => {
  return request('getheaders', '/business/planWz/httpList', params)
};
//分配计划列表
export const distributionPlanList = (params) => {
  return request('getheaders', '/business/distributionPlan/list', params)
};
//分配计划-新增
export const distributionPlanAdd = (params) => {
  return request('postheaders', '/business/distributionPlan', params)
};
//分配计划-修改
export const distributionPlanEditor = (params) => {
  return request('putheaders', '/business/distributionPlan', params)
};
//分配计划列表删除
export const distributionPlanDel = (params) => {
  return request('deleteheaders', '/business/distributionPlan', params)
};
//装备物资需求计划-列表
export const materialNeedList = (params) => {
  return request('getheaders', '/business/materialNeed/list', params)
};
//装备物资需求计划-删除
export const materialNeedDel = (params) => {
  return request('deleteheaders', '/business/materialNeed', params)
};
//装备物资需求计划-新增
export const materialNeedAdd = (params) => {
  return request('postheaders', '/business/materialNeed', params)
};
//装备物资需求计划-物资需求审批-重新提交
export const materialNeedEditor = (params) => {
  return request('putheaders', '/business/materialNeed', params)
};
//装备物资需求计划-物资申请审批-重新提交
export const materialApplicationEditor = (params) => {
  return request('putheaders', '/business/materialApplication', params)
};
//装备物资需求计划-调拨通知单审批-重新提交
export const materialNeedEditor2 = (params) => {
  return request('putheaders', '/business/materialNeed', params)
};
//装备物资需求计划- 一键生成物资申请单
export const materialApplication = (params) => {
  return request('postheaders', '/business/materialApplication', params)
};
//装备物资需求计划-审批
export const materialNeedApply = (params) => {
  return request('postheaders', '/business/materialNeed/apply', params)
};
//装备物资申请单-列表
export const materialApplicationList = (params) => {
  return request('getheaders', '/business/materialApplication/list', params)
};
//装备物资申请单-删除
export const materialApplicationDel = (params) => {
  return request('deleteheaders', '/business/materialApplication', params)
};
//装备物资申请单-申请单提交审批
export const materialApplicationSubmitAudit = (params) => {
  return request('postheaders', '/business/materialApplication/submitAudit', params)
};
//装备物资申请单-申请单审核
export const materialApplicationApply = (params) => {
  return request('postheaders', '/business/materialApplication/apply', params)
};
// //装备物资申请单-生成调拨通知单
// export const materialApplicationApply = (params) => {
//   return request('postheaders', '/business/materialApplication/apply', params)
// };
//导出调拨通知单列表
export const transferNoticeExport = (params) => {
  return request('getheaders', '/business/transferNotice/export', params)
};
//调拨通知单-列表
export const transferNoticeList = (params) => {
  return request('getheaders', '/business/transferNotice/list', params)
};
//调拨通知单-删除
export const transferNoticeDel = (params) => {
  return request('deleteheaders', '/business/transferNotice', params)
};
//一键生成调拨通知单
export const transferNoticeAdd = (params) => {
  return request('postheaders', '/business/transferNotice', params)
};
//调拨通知单-列表
export const environmentParamsList = (params) => {
  return request('getheaders', '/business/environmentParams/list', params)
};
//调拨通知单-审批
export const transferNoticeApply = (params) => {
  return request('postheaders', '/business/transferNotice/apply', params)
};
//调拨通知单-确认发出
export const sendConfirm = (params) => {
  return request('postheaders', '/business/transferNotice/sendConfirm', params)
};
//调拨通知单-确认接收
export const acceptConfirm = (params) => {
  return request('postheaders', '/business/transferNotice/acceptConfirm', params)
};
//调拨通知单-图表数据
export const temperatureOrHumidity = (params) => {
  return request('getheaders', '/business/environmentParams/temperatureOrHumidity', params)
};
//调拨通知单-申请归还按钮
export const returnApply = (params) => {
  return request('postheaders', '/business/transferNotice/returnApply', params)
};
//调拨通知单-打印详情
export const transferNotice = (params) => {
  return request('getheadersadd', '/business/transferNotice', params)
};
//物资调拨计划-列表
export const materialTransferList = (params) => {
  return request('getheaders', '/business/materialTransfer/list', params)
};
//物资调拨计划-删除
export const materialTransferDel = (params) => {
  return request('deleteheaders', '/business/materialTransfer', params)
};
//物资调拨计划-新增接口下-对应仓库物品
export const httpListOrgIdList = (params) => {
  return request('getheaders', '/business/planWz/httpListOrgId', params)
};
//物资调拨计划-新增
export const materialTransferAdd = (params) => {
  return request('postheaders', '/business/materialTransfer', params)
};
//物资调拨计划-修改
export const materialTransferEditor = (params) => {
  return request('putheaders', '/business/materialTransfer', params)
};
//物资调配计划-列表
export const useApplyList = (params) => {
  return request('getheaders', '/business/useApply/list', params)
};
//物资调配计划-删除
export const useApplyDel = (params) => {
  return request('deleteheaders', '/business/useApply', params)
};
//物资调配计划-新增
export const useApplyAdd = (params) => {
  return request('postheaders', '/business/useApply/add', params)
};
//物资调配计划-修改
export const useApplyEditor = (params) => {
  return request('putheaders', '/business/useApply', params)
};
//物资调配计划-提交审批
export const updateIsSubmit = (params) => {
  return request('postheaders', '/business/useApply/updateIsSubmit', params)
};
//物资调配计划-审批
export const updateIsApprove = (params) => {
  return request('postheaders', '/business/useApply/updateIsApprove', params)
};
//物资归还-列表
export const materialReturnList = (params) => {
  return request('getheaders', '/business/materialReturn/list', params)
};
//物资归还-删除
export const materialReturnDel = (params) => {
  return request('deleteheaders', '/business/materialReturn', params)
};
//物资归还-同意
export const approveReturnApply = (params) => {
  return request('getheadersaddtwo', '/business/materialReturn/approveReturnApply', params)
};
//物资归还-提交归还
export const returnNeed = (params) => {
  return request('postheadersadd', '/business/materialReturn/returnNeed', params)
};
//物资归还-确认归还
export const returnOwn = (params) => {
  return request('postheaders', '/business/materialReturn/returnOwn', params)
};
//物资归还-详情信息
export const materialReturnDetail = (params) => {
  return request('postheadersadd', '/business/materialReturn/materialReturnDetail', params)
};
//============================战备设施状态监控
//入侵检测-列表
export const intrusionlInfoList = (params) => {
  return request('getheaders', '/business/intrusionlInfo/list', params)
};
//视频监控-列表
export const controlInfoList = (params) => {
  return request('getheaders', '/business/controlInfo/list', params)
};
//视频监控-删除
export const controlInfoDel = (params) => {
  return request('deleteheaders', '/business/controlInfo', params)
};
//视频监控-新增
export const businessControlInfo = (params) => {
  return request('postheaders', '/business/controlInfo', params)
};
//视频监控-修改
export const businessControlInfoPut = (params) => {
  return request('putheaders', '/business/controlInfo', params)
};
//视频监控-获取流地址
export const playStartList = (params) => {
  return request('getheaders', '/api/play/startList', params)
};

